from rocolib.api.components.Component import Component
from rocolib.api.Function import Function

c = Component()

c.addSubcomponent("mount", "ServoMount", inherit=True, prefix=None)
c.addSubcomponent("servo", "ServoMotor", inherit=True, prefix=None)

c.inheritAllInterfaces("mount", prefix=None)
c.inheritAllInterfaces("servo", prefix=None)
c.addConnection(("mount", "mount.decoration"),
                ("servo", "mount"))

c.toLibrary("MountedServo")
